%define anolis_release 2

Name:           python-passlib
Version:        1.7.4
Release:        %{anolis_release}%{?dist}
Summary:        Comprehensive password hashing framework supporting over 20 schemes

# license breakdown is described in LICENSE file
License:        BSD-3-Clause AND Beerware AND UnixCrypt AND ISC
URL:            https://foss.heptapod.net/python-libs/passlib
Source:         %pypi_source passlib

BuildArch:      noarch

%global _description %{expand:
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 20 password hashing algorithms,
as well as a framework for managing existing password hashes. It is
designed to be useful for a wide range of tasks, from verifying a hash
found in /etc/shadow, to providing full-strength password hashing for
multi-user application.}


%description %{_description}


%package -n python3-passlib
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest


%description -n python3-passlib %{_description}


%pyproject_extras_subpkg -n python3-passlib argon2 bcrypt totp


%prep
%autosetup -n passlib-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
# passlib setup.py append HG revision to the end of version by default
# which makes StrictVersion checks complaining
export PASSLIB_SETUP_TAG_RELEASE="no"
%pyproject_install
%pyproject_save_files passlib


%check
%pytest


%files -n python3-passlib -f %{pyproject_files}
%doc README
%license LICENSE


%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.7.4-2
- Rebuild with python3.11

* Thu Sep 21 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.7.4-1
- Init upstream from version 1.7.4
